#include <avr/io.h>

#include "pin_macros.h"
#include "avrgcc_macros.h"

#include "module1.h"
#ifdef USE_MODULE2
#  include "module2.h"
#endif

INIT(5)
{
	module1_init();
#ifdef USE_MODULE2
	module2_init();
#endif
}

void main(void)
{
	volatile int i;
	for (;;) {
		i = m1_func(i);
#ifdef USE_MODULE2
		i = m2_func(i);
#endif
	}
}

